package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDPolicyMapper;
import com.sa.ibiz.demo.demo.domain.TSSDPolicy;
import com.sa.ibiz.demo.demo.service.TSSDPolicyService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDPolicySearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[TSSDPolicy] 服务对象接口实现
 */
@Service
public class TSSDPolicyServiceImpl extends ServiceImplBase<TSSDPolicyMapper, TSSDPolicy> implements TSSDPolicyService{


    @Resource
    private TSSDPolicyMapper tssdpolicyMapper;


    @Override
    public boolean create(TSSDPolicy et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDPolicy et){
        this.beforeUpdate(et);
		this.tssdpolicyMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDPolicy et){
		return et.getTssdpolicyid();  
    }

    @Override
    public boolean getDraft(TSSDPolicy et)  {
            return true;
    }

	public List<TSSDPolicy> listDefault(TSSDPolicySearchFilter filter) {
		return tssdpolicyMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDPolicy> searchDefault(TSSDPolicySearchFilter filter) {
		return tssdpolicyMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssdpolicyMapper.selectRow(sql);
    }

 }